<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"

    android:paddingTop="30dp"
    tools:context=".ui.MainActivity">


    <TextView
        android:id="@+id/text_view_appName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="5dp"
        android:text="@string/app_name"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <androidx.cardview.widget.CardView
        android:id="@+id/card_banner"
        android:layout_width="match_parent"
        android:layout_height="194dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="16dp"
        app:cardCornerRadius="12dp"
        app:layout_constraintTop_toBottomOf="@id/text_view_appName">

        <ImageView
            android:id="@+id/image_banner"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="fitXY" />

    </androidx.cardview.widget.CardView>


    <TextView
        android:id="@+id/text_for_you"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="25dp"
        android:text="@string/recommended"
        android:textColor="@color/black"
        android:textSize="20sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/card_banner" />


    <LinearLayout
        android:id="@+id/layout_view_all"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/bg_all_shape"
        android:gravity="center"
        android:orientation="horizontal"
        android:paddingStart="10dp"
        android:paddingEnd="10dp"
        app:layout_constraintBottom_toBottomOf="@id/text_for_you"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/text_for_you">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/view_all"
            android:textColor="@color/black"
            android:textSize="12sp" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/for_you_recycler"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="17dp"
        android:layout_marginEnd="8dp"
        app:layout_constraintTop_toBottomOf="@id/text_for_you" />

</androidx.constraintlayout.widget.ConstraintLayout>


